File: setup.py

package info (click to toggle)
ttkthemes 3.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 12,620 kB
  • sloc: tcl: 6,130; python: 804; makefile: 18
file content (48 lines) | stat: -rw-r--r-- 1,573 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
"""
Author: RedFantom
License: GNU GPLv3
Copyright (c) 2017-2018 RedFantom
"""
import os
from tkinter import TkVersion
from setuptools import setup


if TkVersion <= 8.5:
    message = "This version of ttkthemes does not support Tk 8.5 and earlier. Please install an earlier version."
    raise RuntimeError(message)


def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()


setup(
    name="ttkthemes",
    packages=["ttkthemes"],
    version="3.2.0",
    description="A group of themes for the ttk extensions of Tkinter with a Tkinter.Tk wrapper",
    author="The ttkthemes authors",
    author_email="redfantom@outlook.com",
    url="https://github.com/RedFantom/ttkthemes",
    download_url="https://github.com/RedFantom/ttkthemes/releases",
    include_package_data=True,
    keywords=["tkinter", "ttk", "gui", "tcl", "theme"],
    license="GPLv3",
    long_description=read("README.md"),
    classifiers=[
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Environment :: Win32 (MS Windows)",
        "Environment :: X11 Applications",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Topic :: Software Development :: Libraries :: Tcl Extensions",
        "Topic :: Software Development :: Libraries :: Python Modules"
    ],
    zip_safe=False,
    install_requires=["pillow"],
    has_ext_modules=lambda: True,
    python_requires=">=3.5"
)